class FeatureCategoriesController < ApplicationController

  # GET /feature_categories/1
  # GET /feature_categories/1.xml
  def show
    @feature_category = FeatureCategory.find(params[:id])

    respond_to do |format|
      format.html # show.html.erb
      format.xml  { render :xml => @feature_category }
    end
  end

  # GET /feature_categories/new
  # GET /feature_categories/new.xml
  def new
    @feature_category = FeatureCategory.new

    respond_to do |format|
      format.html # new.html.erb
      format.xml  { render :xml => @feature_category }
    end
  end

  # GET /feature_categories/1/edit
  def edit
    @feature_category = FeatureCategory.find(params[:id])
  end

  # POST /feature_categories
  # POST /feature_categories.xml
  def create
    @feature_category = FeatureCategory.new(params[:feature_category])
    @feature_category.save
    render :update do |page|
      page << "modal_wnd.destroy(false);"
      page.insert_html :bottom, :feature_categories, :partial=>@feature_category
      page[@feature_category].visual_effect :highlight      
    end    
  end

  # PUT /feature_categories/1
  # PUT /feature_categories/1.xml
  def update
    @feature_category = FeatureCategory.find(params[:id])
    @feature_category.update_attributes!( params[:feature_category] )
    
    render :update do |page|
      page << "modal_wnd.destroy(false);"
      page[@feature_category].replace :partial=>@feature_category
      page[@feature_category].visual_effect :highlight            
    end   
    
  end

  # DELETE /feature_categories/1
  # DELETE /feature_categories/1.xml
  def destroy
    @feature_category = FeatureCategory.find(params[:id])
    @feature_category.destroy

    render :update do |page|
      page.reload      
    end    
  end
  
end
