class FeaturesController < ApplicationController

  # GET /features/1
  # GET /features/1.xml
  def show
    @feature = Feature.find(params[:id])
    @tickets = Ticket.find :all, :conditions=>"feature_id = #{params[:id]}",  :order => "state DESC"
    @users = User.find_by_gd
    @charge = User.find( @feature.user_id )
    @logs = ::Log.find_all_by_feature_id @feature.id, :order=>"id DESC"
    @ticket_partial_prefix = 'n'
    @title = "피쳐#{@feature.id}"
    @milestone = Milestone.find(@feature.milestone_id)
    respond_to do |format|
      format.html # show.html.erb
      format.xml  { render :xml => @feature }
    end
  end

  # GET /features/1/features/new
  # GET /features/1/features/new.xml
  def new
    @milestone = Milestone.find( params[:milestone_id] )
    @feature = Feature.new
    @feature.user_id = session[:user_id]
    @users = User.find_by_gd    
    @feature_categories = FeatureCategory.find :all
    respond_to do |format|
      format.html # new.html.erb
      format.xml  { render :xml => @feature }
    end
  end

  # GET /features/1/edit
  def edit
    @feature = Feature.find(params[:id])
    @milsetones = Milestone.find :all, :order=>"end_date DESC"   
    @users = User.find_by_gd
    @feature_categories = FeatureCategory.find :all
  end

  # POST /features/1/features
  # POST /features/1/features.xml
  def create
    @milestone = Milestone.find( params[:milestone_id] )
    @feature = @milestone.features.create!(params[:feature])
    @feature.update_attributes!( { :ref_url=> "http://wiki/doku.php?id=F#{@feature.id}_#{@feature.title.gsub( /\s+/, '_')}" } )

    render :update do |page|
      page << "modal_wnd.destroy(false);"
      page.insert_html :bottom, :features, :partial=>@feature
      page[@feature].visual_effect :highlight      
    end    
  end

  # PUT /features/1
  # PUT /features/1.xml
  def update
    @feature = Feature.find(params[:id])
    @feature.update_attributes!( params[:feature] )

    render :update do |page|
      page.reload
    end    
  end

   def destroy
    @feature = Feature.find(params[:id])
    @feature.destroy

    render :update do |page|
      page.reload      
    end
  end  

end
