class GanttController < ApplicationController
  
  def milestone    
    @milestone = Milestone.find( params[:id] )
    feature_group = @milestone.features.group_by(&:feature_category_id)
    @infos = []
    feature_group.each do |category_id,features|
      info = {}           
      info[:start_date] = features.map { |f| f.tickets.minimum(:start_date) }.compact.min
      info[:end_date] = features.map { |f| f.tickets.maximum(:end_date) }.compact.max
      if category_id      
        info[:name] = FeatureCategory.find( category_id,:select=>"name").name
      else
        info[:name] = "카테고리 외 피쳐"
      end        
      info[:category_id] = category_id
      info[:features] = features
      @infos << info if info[:start_date] and info[:end_date] and info[:name]             
    end
    
    @infos.sort! { |x,y| x[:name] <=> y[:name] }
    
    @start_date = [ @infos.map { |i| i[:start_date] }.min, @milestone.start_date].max
    @end_date =  [ @infos.map { |i| i[:end_date] }.max, @milestone.end_date].max  
         
    render :layout => false
  end
  
    
  def user_tickets 
    @tickets = Ticket.find_all_by_user_id( params[:id], :order => 'created_at DESC' )
    @starts = {}
    @ends = {}    
    @tickets.each do |t|
      @starts[t.id] = t.start_date ? t.start_date : Date.today
      @ends[t.id] = t.end_date ? t.end_date : Date.today
    end
    @start_date = @starts.values.min
    @end_date = @ends.values.max
    render :layout => false    
  end
  
  def milestone_chart
    
  end
     
end
