class MilestonesController < ApplicationController
    
  def show
    @milestone = Milestone.find(params[:id])
    @title = "마일스톤#{@milestone.id}"
    if session[:access] <= User::GD_ACCESS
      @features = Feature.find_all_by_milestone_id @milestone.id
    else
      @features = Feature.find :all, :conditions =>"milestone_id = #{@milestone.id} AND state != 'a'"
    end
    @feature_group = @features.group_by(&:feature_category_id)
    @stat = @milestone.stat   
    @ticket_partial_prefix = 'n'
    
    respond_to do |format|
      format.html # show.html.erb
      format.xml  { render :xml => @milestone }
    end
  end

  def new
    @milestone = Milestone.new

    respond_to do |format|
      format.html # new.html.erb
      format.xml  { render :xml => @milestone }
    end
  end

  def edit
    @milestone = Milestone.find(params[:id])
  end

  def create
    @milestone = Milestone.new(params[:milestone])
    @milestone.save!

    render :update do |page|
      page << "modal_wnd.destroy(false);"
      page.insert_html :bottom, :milestones, :partial=>@milestone
      page[@milestone].visual_effect :highlight      
    end
  end

  def update
    @milestone = Milestone.find(params[:id])
    @milestone.update_attributes!(params[:milestone])
    
    render :update do |page|
      page << "modal_wnd.destroy(false);"
      page.replace_html "milestone_title", "#{@milestone.title}"
      page["milestone_header"].visual_effect :highlight      
    end

  end

  def destroy
    @milestone = Milestone.find(params[:id])
    @milestone.destroy

    render :update do |page|
      page.remove "milestone_#{@milestone.id}"     
    end
  end  
    
end
