class MyviewController < ApplicationController
  def index
    unless session[:action]
      if session[:access] <= User::STAFF_ACCESS
        session[:action] = :myticket  
      else
        session[:action] = :news
      end
    end
      
    respond_to do |format|
      format.html
    end
  end
  
  def myticket
    @ticket_partial_prefix = 'f'
    @tickets = Ticket.find_all_by_user_id( session[:user_id], :order => 'created_at DESC' ) 
    render :update do |page|
      select_tab page
      page.replace_html "contents", :partial => 'myticket'
    end     
  end

  def week_summary
    one_week_ago = (Date.today - 7).at_beginning_of_week
    end_of_week = Date.today.at_end_of_week
    
    @delayed_tickets = Ticket.find :all, :conditions=>"state='w' and end_date < '#{Date.today}'", :order=>'feature_id'
    @done_tickets_at_today = Ticket.find :all, :conditions=>"end_date = '#{Date.today}' and state ='d'"
    @done_tickets_at_this_week = Ticket.find :all, :conditions=>"(end_date BETWEEN '#{Date.today.at_beginning_of_week}' AND '#{Date.today.yesterday}') and state ='d'", :order=>"end_date DESC"
    @done_tickets_at_last_week = Ticket.find :all, :conditions=>"(end_date BETWEEN '#{one_week_ago}' AND '#{one_week_ago.at_end_of_week}') and state ='d'"

    @todays_working_start_tickets = Ticket.find :all, :conditions=>"start_date = '#{Date.today}' and state ='w'"
      
    working_staff_ids = User.find_by_working_staff_ids
    @working_tickets = Ticket.find :all, :conditions=>"state ='w'", :order=>'feature_id'
    @not_working_staff_ids = working_staff_ids - (@working_tickets.map { |t| t.user_id } )
    
    @waiting_tickets = Ticket.find_all_by_state 't'
    less_waiting_staff_ids = @waiting_tickets.inject(Hash.new(0)) {|memo, value| memo[value.user_id]+=1; memo}.sort {|a,b| (a[1]<=>b[1]) }.select { |x| x[1] < 3 and working_staff_ids.include?(x[0]) }
    zero_waiting_staff_ids = (working_staff_ids - @waiting_tickets.map { |t| t.user_id }).map { |u| [u,0] }
    @shortage_waiting_staff_ids = zero_waiting_staff_ids + less_waiting_staff_ids 
          
    @ticket_partial_prefix = 'n'
    @dont_ticket_styling = true
    @hide_ticket_link = true
    
    render :update do |page|
      select_tab page
      page.replace_html "contents", :partial => 'week_summary'
    end     
  end
  
  def milestone
    @milestones = Milestone.find(:all, :conditions=> "state!='a'", :order=> "created_at DESC")

    render :update do |page|
      select_tab page
      page.replace_html "contents", :partial => 'milestone'
    end     
  end

  def mypart
    @ticket_partial_prefix = 'n'    
    tickets = Ticket.find_by_sql "select tickets.* from tickets inner join users on users.id = tickets.user_id and users.part = '#{session[:part ]}' where tickets.state !='d' and tickets.state !='a' order by tickets.feature_id"
    #debugger
    feature_ids = tickets.map { |t| t.feature_id }.uniq
    features = Feature.find :all, :conditions=>{ :id => feature_ids }, :order=>"feature_category_id"    
    @ticket_group = tickets.group_by(&:feature_id).inject({}) { |m,v| m[v[0]] = v[1]; m }     
    @feature_group = features.group_by(&:feature_category_id)
    
    render :update do |page|
      select_tab page
      page["contents"].replace_html  :partial => 'mypart'
    end     
  end

  def issue
    @issues = Issue.find(:all, :conditions=> "state='w'", :order => "created_at DESC")
    render :update do |page|
      select_tab page
      page["contents"].replace_html  :partial => 'issue'
    end     
  end
  
  def user_admin
    @users = User.find :all, :conditions => "access > 0", :order =>'name'
    render :update do |page|
      select_tab page
      page.replace_html "contents", :partial => 'user_admin'
    end    
  end

  

  def milestone_admin
    @milestones = Milestone.find(:all)
    render :update do |page|
      select_tab page
      page.replace_html "contents", :partial=> 'milestone_admin'
    end    
  end

  def news
    @announces = News.find :all, :conditions=>"state ='a' ", :order=>"created_at DESC"
    @news = News.find :all, :conditions=>"state = 'n'", :order=>"created_at DESC"
    render :update do |page|
      select_tab page
      page["contents"].replace_html  :partial => 'news'
    end     
  end  
  
  def allpart
    @ticket_partial_prefix = 'f'
    @parts = User::PARTS[0..-4]
    @print = true
  
    render :update do |page|
      select_tab page
      page["contents"].replace_html  :partial => 'allpart'
    end     
  end  
  
  def absence   
    @absences = Absence.find :all, :order => "end_date DESC"
    
    render :update do |page|
      select_tab page
      page["contents"].replace_html  :partial => 'absence'
    end     
  end  
  
  def feature   
    @feature_categories = FeatureCategory.find :all
    @not_categorized_features = Feature.find :all, :conditions=>"feature_category_id is null"
    
    render :update do |page|
      select_tab page
      page["contents"].replace_html  :partial => 'feature'
    end
  end
  
  def meeting
    @meetings = Meeting.find :all
    render :update do |page|
      select_tab page
      page["contents"].replace_html  :partial => 'meeting'
    end    
  end
    
  
end
