class NewsController < ApplicationController

  layout 'news'
  
  def new
    @news = News.new
    @news.created_by = session[:user_id]
    @news.state = 'n'
  end

  def edit
    @news = News.find(params[:id])
  end

  def create
    @news = News.create!(params[:news])
    redirect_to "/myview"
  end

  def update
    @news = News.find(params[:id])
    @news.update_attributes!( params[:news] )
    redirect_to "/myview"    
  end

  def destroy
    @news = News.find(params[:id])
    @news.destroy
    render :update do |page|
      page[@news].remove     
    end
  end
  
  def parse_textile
    render :text=> RedCloth.new(params[:data]).to_html
  end
  
  def body
    @news = News.find(params[:id])
    @title_class = (@news.state == 'a') ? 'news_announce_link' : 'news_title_link'
    render :update do |page|      
      page["news_title_#{params[:id]}"].replace_html :inline => "<%= link_to_remote @news.title, :url=>{ :controller=> :news, :action=>'body_hide', :id=>@news.id }, :html=>{ :class=>@title_class } %>"
      page["news_body_#{params[:id]}"].replace_html :partial=> "news_body", :locals=>{ :news=> @news }
      page["news_body_#{params[:id]}"].visual_effect :SlideDown, :duration=> 0.3
    end    
  end
  
  def body_hide
    @news = News.find(params[:id])
    @title_class = (@news.state == 'a') ? 'news_announce_link' : 'news_title_link'
    render :update do |page|      
      page["news_title_#{params[:id]}"].replace_html :inline => "<%= link_to_remote @news.title, :url=>{ :controller=> :news, :action=>'body', :id=>@news.id }, :html=>{ :class=>@title_class } %>"
      page["news_body_#{params[:id]}"].visual_effect :SlideUp, :duration=> 0.3
    end        
  end
  
  def comment
    @comments = NewsComment.find_all_by_news_id params[:id]
    @new_comment = NewsComment.new
    @new_comment.news_id = params[:id].to_i    
    render :update do |page|      
      page["news_comment_link_#{params[:id]}"].replace_html :partial=> "comments"
      page["news_comment_link_#{params[:id]}" ].visual_effect :SlideDown, :duration=> 0.3
    end
  end
  
  def new_comment
    @news = News.find params[:id]
    @comment = @news.news_comments.build(params[:news_comment])    
    @comment.created_by = session[:user_id]
    @comment.save!
    render :update do |page|      
      page.insert_html :bottom, "news_comments_#{params[:id]}", :partial=> @comment
      page[@comment].visual_effect :highlight      
    end    
  end
  
  def comment_destroy
    @news_comment = NewsComment.find(params[:id])
    @news_comment.destroy
    render :update do |page|
      page[@news_comment].remove     
    end
  end  
  
  
end
