# Methods added to this helper will be available to all templates in the application.
module ApplicationHelper
  require "fusioncharts_helper"
  include FusionChartsHelper
  
  def user_name_from_id user_id
    User.find( user_id, :select =>'name' ).name
  end
  
  def workday_delta from, to
    neg = false
    if from > to
      from,to = to, from #swap
      neg = true
    end
      
    d = (to - from).abs + 1
    r = d - ( (d+from.wday) / 7).to_i * 2
    r -= 1 if from.wday == 0
    r -= 1 if to.wday == 6
    r = -r + 1 if neg
    r.to_i
  end
    
  def date_duration from, to  
    return "미지정" if from.nil? or to.nil?
    "#{workday_delta from, to}일간"
  end

  def date_from_now to
    return "오늘까지" if to == Date.today
    day_over = workday_delta Date.today, to
    if day_over < 0
      postfix =  "지났음"
    elsif day_over > 0
      postfix =  "남았음"
    end
    d = day_over.abs    
    if d == 0 
      return '오늘'
    elsif d == 1
      return "하루#{postfix}"
    elsif d == 2
      return "이틀#{postfix}"
    end    
    "#{d}일#{postfix}"      
  end
  
  def date_from_now_tag to
    d = workday_delta Date.today, to
    style = (d >= 0) ? "_days_lefted" : "_days_lefted_over"
    "<span class='#{style}'>#{date_from_now to}</span>"
  end
  
  WDAYS = %w[일 월 화 수 목 금 토]
  
  def date_fmt day
    return "미지정" if day.nil?
    "#{day}(#{WDAYS[day.wday]})"
  end
  
  def time_fmt t
    "#{t.month}월 #{t.day}일(#{WDAYS[t.wday]}) #{t.hour}시 #{t.min}분"
  end
  
  def countdown_field(field_id,update_id,max,options = {})
    func = "$('#{update_id}').innerHTML = (#{max} - $F('#{field_id}').length);"
    out = javascript_tag func 
    out += observe_field(field_id, :frequency => 1, :function => func)
  end  
  
  def milestone_stat_text m
    stat = m
    stat = m.stat if m.is_a?(Milestone)
    ideal_progress_text = (stat[:ideal_progress]>0) ? "이상적진행도: #{stat[:ideal_progress]}%" : "" 
    "진행도: #{stat[:progress]}% #{ideal_progress_text} (#{date_from_now m.end_date})"
  end

end
