class User < ActiveRecord::Base
  PM_ACCESS = 1000
  GD_ACCESS = 2000
  PARTMGR_ACCESS = 3000
  STAFF_ACCESS = 4000
  MONITOR_ACCESS = 5000
  RETIRE_ACCESS  = 9999
  ACCESS = [
        [ 'PM', PM_ACCESS],
        [ 'GD', GD_ACCESS],
        [ '파트장', PARTMGR_ACCESS ],
        [ '스탭', STAFF_ACCESS ],
        [ '모니터', MONITOR_ACCESS ],
        [ '퇴사',  RETIRE_ACCESS ]
      ]

  PARTS = [
           ['기획', 'gd' ],
           ['그래픽', 'gr'],
           ['비주얼', 'vs'],
           ['프로그램', 'pr'],
           ['QA', 'qa'],  
           ['PM', 'pm' ],
           ['경영', 'mg']
   ] 
          
  
  belongs_to :ticket
  belongs_to :log
  validates_uniqueness_of :name, :messsage => ' - 이미 등록된 이름입니다'
  #validates_presence_of :email, :message => '이메일을 입력하셔야합니다'
  
  def self.find_by_gd
    User.find(:all, :conditions => "access > 0 and access <= 2000", :order => "name" )
  end
  
  def self.find_by_staff
    User.find(:all, :conditions => "access > 0 and access <= 4000", :order => "name" )
  end

  def self.find_by_working_staff_ids
    User.find(:all, :conditions => "access > 1000 and access <= 4000", :order => "name" ).map { |user| user.id }
  end

  
end
