xml << "\xEF\xBB\xBF"
xml.instruct! :xml, :encoding => "UTF-8"
xml.chart :animation=>'0', :dateFormat=>'yyyy/mm/dd', :showTaskNames=>'1', :ganttWidthPercent=>'70', :gridBorderAlpha=>'100', :canvasBorderColor=>'333333', :canvasBorderThickness=>'0', :hoverCapBgColor=>'FFFFFF', :hoverCapBorderColor=>'333333', :extendCategoryBg=>'0', :ganttLineColor=>'99cc00', :ganttLineAlpha=>'20', :baseFontColor=>'333333', :gridBorderColor=>'99cc00' do
	
	end_of_month = @af[:end_date].at_end_of_week.at_end_of_month
	xml.categories :bgColor=>'333333', :fontColor=>'99cc00', :isBold=>'1', :fontSize=>'14' do
		m = @af[:start_date].at_beginning_of_month
		e = @af[:end_date].at_end_of_week.at_end_of_month
		while m < e do
			xml.category :start=>to_fc(m), :end=>to_fc(m.at_end_of_month), :name=> :"#{m.month}월"
			m = m.next_month
		end
	end
	
	xml.categories :bgColor=>'99cc00', :bgAlpha=>'40', :fontColor=>'333333', :align=>'center', :fontSize=>'10', :isBold=>'1' do
		w = @af[:start_date].at_beginning_of_month
		e = @af[:end_date].at_end_of_week.at_end_of_month
		while w < e do
			eow = w.at_end_of_week
			end_day = end_of_month < eow ? end_of_month : eow  
			xml.category :start=>to_fc(w), :end=>to_fc(end_day), :name=>w.day.to_s, :align=>'left'
			w = w.next_week
		end
	end
	
	xml.processes :positionInGrid=>'right', :align=>'left', :headerText=> :'티켓', :fontColor=>'333333', :fontSize=>'11', :isBold=>'1', :isAnimated=>'1', :bgColor=>'99cc00', :headerbgColor=>'333333', :headerFontColor=>'99cc00', :headerFontSize=>'16', :bgAlpha=>'40' do
    last_feature_id = 0
    @tickets.each do |t|  
      if t.start_date and  t.end_date
          xml.process :link=> "/features/#{t.feature_id}".intern, :align=>'left', :name => get_feature_title(t.feature_id).intern, :bgColor=>'9900cc' if last_feature_id != t.feature_id
          xml.process :link => "/tickets/user/#{t.user_id}".intern, :align=>'left', :name => t.body.intern, :id=>t.id.to_s
      end      
      last_feature_id = t.feature_id 
		end
	end

	xml.dataTable :fontColor=>'333333', :fontSize=>'11', :isBold=>'1', :headerFontColor=>'000000', :headerFontSize=>'11' do
		xml.dataColumn :headerbgColor=>'333333', :width => 65, :headerfontSize=>'16', :headerAlign=>'left', :headerfontcolor=>'99cc00', :bgColor=>'99cc00', :headerText=>:'담당', :align=>'left', :bgAlpha=>'40' do
      last_feature_id = 0
      @tickets.each do |t|        
        if t.start_date and  t.end_date
          xml.text :label => user_name_from_id( get_feature_user_id(t.feature_id) ).intern, :bgcolor=>'9900cc' if last_feature_id != t.feature_id
          xml.text :label => user_name_from_id(t.user_id).intern       
        end
        last_feature_id = t.feature_id
      end
		end
	end
 	
	xml.tasks do
		@tickets.each do |t|      
      if t.start_date and t.end_date then
        xml.task :link=> "/tickets/#{t.id}".intern, :hoverText=> "#{Ticket::STATE_TEXT[t.state]}, #{t.body}".intern, :processId=>t.id.to_s, :start=> to_fc( t.start_date ), :end=>to_fc( t.end_date ), :color=>GanttHelper::TICKET_STATE_COLOR[t.state], :alpha=>'60', :height=>'10'                    
      end
		end
	end
  
	xml.trendlines do
		xml.line :start=>to_fc(Date.today.to_s), :displayValue=>:'오늘', :color=>'FF5904', :isTrendZone=>'1', :alpha=>'50'
    if @af.key? :milestone
      xml.line :start=>to_fc(@af[:milestone].end_date.to_s), :displayValue=>:'종료일', :color=>'FF5904', :isTrendZone=>'1', :alpha=>'50'
    end
	end
  
	
end
			
