xml << "\xEF\xBB\xBF"
xml.instruct! :xml, :encoding => "UTF-8"
xml.chart :animation=>'0', :dateFormat=>'yyyy/mm/dd', :showTaskNames=>'1', :ganttWidthPercent=>'70', :gridBorderAlpha=>'100', :canvasBorderColor=>'333333', :canvasBorderThickness=>'0', :hoverCapBgColor=>'FFFFFF', :hoverCapBorderColor=>'333333', :extendCategoryBg=>'0', :ganttLineColor=>'99cc00', :ganttLineAlpha=>'20', :baseFontColor=>'333333', :gridBorderColor=>'99cc00' do
	
	end_of_month = @end_date.at_end_of_week.at_end_of_month
	xml.categories :bgColor=>'333333', :fontColor=>'99cc00', :isBold=>'1', :fontSize=>'14' do
		m = @start_date.at_beginning_of_month
		e = @end_date.at_end_of_week.at_end_of_month
		while m < e do
			xml.category :start=>to_fc(m), :end=>to_fc(m.at_end_of_month), :name=> :"#{m.month}월"
			m = m.next_month
		end
	end
	
	xml.categories :bgColor=>'99cc00', :bgAlpha=>'40', :fontColor=>'333333', :align=>'center', :fontSize=>'10', :isBold=>'1' do
		w = @start_date.at_beginning_of_month
		e = @end_date.at_end_of_week.at_end_of_month
		while w < e do
			eow = w.at_end_of_week
			end_day = end_of_month < eow ? end_of_month : eow  
			xml.category :start=>to_fc(w), :end=>to_fc(end_day), :name=>w.day.to_s, :align=>'left'
			w = w.next_week
		end
	end
	
	xml.processes :positionInGrid=>'right', :align=>'left', :headerText=> :'작업', :fontColor=>'333333', :fontSize=>'11', :isBold=>'1', :isAnimated=>'1', :bgColor=>'99cc00', :headerbgColor=>'333333', :headerFontColor=>'99cc00', :headerFontSize=>'16', :bgAlpha=>'40' do
		@tickets.each do |t|
		  xml.process :link=> "/tickets/#{t.id}".intern, :align=>'left', :name => t.body.intern, :id=>t.id.to_s
		end
	end

 	
	xml.tasks do  
    @tickets.each do |t|
      if t.start_date and t.end_date then
        xml.task :link=> "/tickets/#{t.id}".intern, :hoverText=> "#{Ticket::STATE_TEXT[t.state]}, #{t.body}".intern, :processId=>t.id.to_s, :start=> to_fc( t.start_date ), :end=>to_fc( t.end_date ), :color=>GanttHelper::TICKET_STATE_COLOR[t.state], :alpha=>'60', :height=>'10'                    
      end
    end
	end
  
	xml.trendlines do
		xml.line :start=>to_fc(Date.today.to_s), :displayValue=>:'오늘', :color=>'FF5904', :isTrendZone=>'1', :alpha=>'20'
	end

end
			
