class CreateTickets < ActiveRecord::Migration
  def self.up
    create_table :tickets do |t|
      t.integer :feature_id
      t.integer :user_id
      t.integer :confirm_user_id
      t.integer :created_by
      t.string :body, :limit => 128
      t.string :state, :limit=> 1
      t.date :start_date
      t.date :end_date

      t.timestamps
    end
    
    add_index :tickets, :feature_id 
    add_index :tickets, :user_id
    add_index :tickets, :state
  end

  def self.down
    drop_table :tickets
  end
end
