# This file is auto-generated from the current state of the database. Instead of editing this file, 
# please use the migrations feature of Active Record to incrementally modify your database, and
# then regenerate this schema definition.
#
# Note that this schema.rb definition is the authoritative source for your database schema. If you need
# to create the application database on another system, you should be using db:schema:load, not running
# all the migrations from scratch. The latter is a flawed and unsustainable approach (the more migrations
# you'll amass, the slower it'll run and the greater likelihood for issues).
#
# It's strongly recommended to check this file into your version control system.

ActiveRecord::Schema.define(:version => 20090701090919) do

  create_table "absences", :force => true do |t|
    t.integer  "user_id"
    t.integer  "state"
    t.date     "start_date"
    t.date     "end_date"
    t.string   "body"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "bugs", :force => true do |t|
    t.string   "state",      :limit => 1
    t.string   "title"
    t.text     "body"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "feature_categories", :force => true do |t|
    t.string   "name"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "features", :force => true do |t|
    t.integer  "milestone_id"
    t.integer  "user_id"
    t.string   "ref_url",             :limit => 128
    t.string   "title",               :limit => 128
    t.string   "state",               :limit => 1
    t.date     "start_date"
    t.date     "end_date"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer  "feature_category_id"
  end

  add_index "features", ["milestone_id"], :name => "index_features_on_milestone_id"
  add_index "features", ["state"], :name => "index_features_on_state"

  create_table "issues", :force => true do |t|
    t.integer  "ticket_id"
    t.integer  "user_id"
    t.string   "state",      :limit => 1
    t.string   "body"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  add_index "issues", ["ticket_id"], :name => "index_issues_on_ticket_id"
  add_index "issues", ["user_id"], :name => "index_issues_on_user_id"

  create_table "logs", :force => true do |t|
    t.integer  "feature_id"
    t.integer  "ticket_id"
    t.integer  "user_id"
    t.string   "tag",        :limit => 4
    t.string   "body"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  add_index "logs", ["feature_id"], :name => "index_logs_on_feature_id"
  add_index "logs", ["user_id"], :name => "index_logs_on_user_id"

  create_table "meeting_attendants", :force => true do |t|
    t.integer "meeting_id"
    t.integer "user_id"
  end

  create_table "meetings", :force => true do |t|
    t.integer  "host_user_id"
    t.string   "state",        :limit => 1
    t.string   "room",         :limit => 45
    t.string   "subject"
    t.text     "agendas"
    t.text     "output"
    t.datetime "time"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "milestones", :force => true do |t|
    t.string   "title",          :limit => 128
    t.string   "state",          :limit => 1
    t.date     "start_date"
    t.date     "end_date"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer  "features_count",                :default => 0
  end

  add_index "milestones", ["state"], :name => "index_milestones_on_state"

  create_table "news", :force => true do |t|
    t.integer  "created_by"
    t.string   "state",      :limit => 1
    t.string   "title"
    t.text     "body"
    t.integer  "photo_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "news_comments", :force => true do |t|
    t.integer  "news_id"
    t.integer  "created_by"
    t.string   "body"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "photos", :force => true do |t|
    t.integer  "parent_id"
    t.string   "content_type"
    t.string   "filename"
    t.string   "thumbnail"
    t.integer  "size"
    t.integer  "width"
    t.integer  "height"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "stats", :force => true do |t|
    t.integer  "milestone_id"
    t.integer  "ticket_count"
    t.integer  "done_ticket_count"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  add_index "stats", ["milestone_id"], :name => "index_stats_on_milestone_id"

  create_table "tickets", :force => true do |t|
    t.integer  "feature_id"
    t.integer  "user_id"
    t.integer  "confirm_user_id"
    t.integer  "created_by"
    t.string   "body",            :limit => 128
    t.string   "state",           :limit => 1
    t.date     "start_date"
    t.date     "end_date"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  add_index "tickets", ["feature_id"], :name => "index_tickets_on_feature_id"
  add_index "tickets", ["state"], :name => "index_tickets_on_state"
  add_index "tickets", ["user_id"], :name => "index_tickets_on_user_id"

  create_table "users", :force => true do |t|
    t.string   "name",       :limit => 32
    t.string   "email",      :limit => 128
    t.integer  "access"
    t.string   "part",       :limit => 2
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  add_index "users", ["part"], :name => "index_users_on_part"

end
